/*!--------------------------------------------------------
 * Copyright (C) Microsoft Corporation. All rights reserved.
 *--------------------------------------------------------*/
define("vs/base/common/platform",["require","exports"],function(t,e){"use strict";function r(){return"undefined"!=typeof c.Worker}var i=!1,o=!1,n=!1,a=!1,s=!1,h=!1;if("object"==typeof process)i="win32"===process.platform,o="darwin"===process.platform,n="linux"===process.platform,a=!0;else if("object"==typeof navigator){var u=navigator.userAgent;i=u.indexOf("Windows")>=0,o=u.indexOf("Macintosh")>=0,n=u.indexOf("Linux")>=0,s=!0,h=!!self.QUnit}!function(t){t[t.Web=0]="Web",t[t.Mac=1]="Mac",t[t.Linux=2]="Linux",t[t.Windows=3]="Windows"}(e.Platform||(e.Platform={}));var p=e.Platform;e._platform=p.Web,a&&(o?e._platform=p.Mac:i?e._platform=p.Windows:n&&(e._platform=p.Linux)),e.isWindows=i,e.isMacintosh=o,e.isLinux=n,e.isNative=a,e.isWeb=s,e.isQunit=h,e.platform=e._platform;var c="object"==typeof self?self:global;e.globals=c,e.hasWebWorkerSupport=r,e.setTimeout=c.setTimeout.bind(c),e.clearTimeout=c.clearTimeout.bind(c),e.setInterval=c.setInterval.bind(c),e.clearInterval=c.clearInterval.bind(c)}),define("vs/base/common/uri",["require","exports","vs/base/common/platform"],function(t,e,r){"use strict";function i(t){return encodeURIComponent(t).replace(/[!'()*]/g,function(t){return"%"+t.charCodeAt(0).toString(16).toUpperCase()})}var o=function(){function t(){this._scheme=t._empty,this._authority=t._empty,this._path=t._empty,this._query=t._empty,this._fragment=t._empty}return Object.defineProperty(t.prototype,"scheme",{get:function(){return this._scheme},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"authority",{get:function(){return this._authority},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"path",{get:function(){return this._path},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"query",{get:function(){return this._query},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"fragment",{get:function(){return this._fragment},enumerable:!0,configurable:!0}),Object.defineProperty(t.prototype,"fsPath",{get:function(){if(!this._fsPath){var e;e=this._authority&&"file"===this.scheme?"//"+this._authority+this._path:t._driveLetterPath.test(this._path)?this._path[1].toLowerCase()+this._path.substr(2):this._path,r.isWindows&&(e=e.replace(/\//g,"\\")),this._fsPath=e}return this._fsPath},enumerable:!0,configurable:!0}),t.prototype["with"]=function(e,r,i,o,n){var a=new t;return a._scheme=e||this.scheme,a._authority=r||this.authority,a._path=i||this.path,a._query=o||this.query,a._fragment=n||this.fragment,t._validate(a),a},t.prototype.withScheme=function(t){return this["with"](t,void 0,void 0,void 0,void 0)},t.prototype.withAuthority=function(t){return this["with"](void 0,t,void 0,void 0,void 0)},t.prototype.withPath=function(t){return this["with"](void 0,void 0,t,void 0,void 0)},t.prototype.withQuery=function(t){return this["with"](void 0,void 0,void 0,t,void 0)},t.prototype.withFragment=function(t){return this["with"](void 0,void 0,void 0,void 0,t)},t.parse=function(e){var r=t._parse(e);return r=r["with"](void 0,decodeURIComponent(r.authority),decodeURIComponent(r.path),decodeURIComponent(r.query),decodeURIComponent(r.fragment))},t.file=function(e){e=e.replace(/\\/g,"/"),e=e.replace(/%/g,"%25"),e=e.replace(/#/g,"%23"),e=e.replace(/\?/g,"%3F"),e=t._driveLetter.test(e)?"/"+e:e;var r=t._parse(e);if(r.scheme||r.fragment||r.query)throw new Error("Path contains a scheme, fragment or a query. Can not convert it to a file uri.");return r=r["with"]("file",void 0,decodeURIComponent("/"===r.path[0]?r.path:"/"+r.path),void 0,void 0)},t._parse=function(e){var r=new t,i=t._regexp.exec(e);return i&&(r._scheme=i[2]||r._scheme,r._authority=i[4]||r._authority,r._path=i[5]||r._path,r._query=i[7]||r._query,r._fragment=i[9]||r._fragment),t._validate(r),r},t.create=function(e,r,i,o,n){return(new t)["with"](e,r,i,o,n)},t._validate=function(t){if(t.authority&&t.path&&"/"!==t.path[0])throw new Error('[UriError]: If a URI contains an authority component, then the path component must either be empty or begin with a slash ("/") character');if(!t.authority&&0===t.path.indexOf("//"))throw new Error('[UriError]: If a URI does not contain an authority component, then the path cannot begin with two slash characters ("//")')},t.prototype.toString=function(){if(!this._formatted){var e=[];if(this._scheme&&(e.push(this._scheme),e.push(":")),(this._authority||"file"===this._scheme)&&e.push("//"),this._authority){var r,o=this._authority;o=o.toLowerCase(),r=o.indexOf(":"),-1===r?e.push(i(o)):(e.push(i(o.substr(0,r))),e.push(o.substr(r)))}if(this._path){var n,a=this._path;t._driveLetterPath.test(a)?a="/"+a[1].toLowerCase()+a.substr(2):t._driveLetter.test(a)&&(a=a[0].toLowerCase()+a.substr(1)),n=a.split("/");for(var s=0,h=n.length;h>s;s++)n[s]=i(n[s]);e.push(n.join("/"))}if(this._query){var u=/https?/i.test(this.scheme)?encodeURI:i;e.push("?"),e.push(u(this._query))}this._fragment&&(e.push("#"),e.push(i(this._fragment))),this._formatted=e.join("")}return this._formatted},t.prototype.toJSON=function(){return{scheme:this.scheme,authority:this.authority,path:this.path,fsPath:this.fsPath,query:this.query,fragment:this.fragment.replace(/URL_MARSHAL_REMOVE.*$/,""),external:this.toString().replace(/#?URL_MARSHAL_REMOVE.*$/,""),$mid:1}},t.revive=function(e){var r=new t;return r._scheme=e.scheme,r._authority=e.authority,r._path=e.path,r._query=e.query,r._fragment=e.fragment,r._fsPath=e.fsPath,r._formatted=e.external,t._validate(r),r},t._empty="",t._regexp=/^(([^:\/?#]+?):)?(\/\/([^\/?#]*))?([^?#]*)(\?([^#]*))?(#(.*))?/,t._driveLetterPath=/^\/[a-zA-z]:/,t._driveLetter=/^[a-zA-z]:/,t}();Object.defineProperty(e,"__esModule",{value:!0}),e["default"]=o}),define("vs/workbench/electron-main/cli",["require","exports","path","fs","os","child_process","vs/base/common/uri"],function(t,e,r,i,o,n,a){"use strict";function s(t){var e=new c(t);e.hasFlag("help","h")?console.log(e.help()):e.hasFlag("version","v")?console.log(p.version):(delete process.env.ATOM_SHELL_INTERNAL_RUN_AS_NODE,n.spawn(process.execPath,process.argv.slice(2),{detached:!0,stdio:"ignore"})),process.exit(0)}var h=r.dirname(a["default"].parse(t.toUrl("")).fsPath),u=r.join(h,"package.json"),p=JSON.parse(i.readFileSync(u,"utf8")),c=function(){function t(t){this.argv=t}return t.prototype.hasFlag=function(t,e){return t&&this.argv.indexOf("--"+t)>=0||e&&this.argv.indexOf("-"+e)>=0},t.prototype.help=function(){var t="code"+("win32"===o.platform()?".exe":""),e="  ";return"Visual Studio Code v"+p.version+"\n\nUsage: "+t+" [arguments] [paths...]\n\nOptions:\n"+e+"-h, --help     Print usage.\n"+e+"--locale       Use a specific locale.\n"+e+"-n             Force a new instance of Code.\n"+e+"-v, --version  Print version."},t}();e.main=s,s(process.argv.slice(2))});
//# sourceMappingURL=https://ticino.blob.core.windows.net/sourcemaps/5b5f4db87c10345b9d5c8d0bed745bcad4533135/vs/workbench/electron-main/cli.js.map
